| 0.9.8

- Main Page
- Modules
- Files

- File List

Typedefs
type_vec.hpp File Reference

Go to the source code of this file.

## Typedefs
typedef highp_bvec2 | bvec2
typedef highp_bvec3 | bvec3
typedef highp_bvec4 | bvec4
typedef highp_dvec2 | dvec2
typedef highp_dvec3 | dvec3
typedef highp_dvec4 | dvec4
typedef tvec2< bool, highp > | highp_bvec2
typedef tvec3< bool, highp > | highp_bvec3
typedef tvec4< bool, highp > | highp_bvec4
typedef tvec2< double, highp > | highp_dvec2
typedef tvec3< double, highp > | highp_dvec3
typedef tvec4< double, highp > | highp_dvec4
typedef tvec2< int, highp > | highp_ivec2
typedef tvec3< int, highp > | highp_ivec3
typedef tvec4< int, highp > | highp_ivec4
typedef tvec2< uint, highp > | highp_uvec2
typedef tvec3< uint, highp > | highp_uvec3
typedef tvec4< uint, highp > | highp_uvec4
typedef tvec2< float, highp > | highp_vec2
typedef tvec3< float, highp > | highp_vec3
typedef tvec4< float, highp > | highp_vec4
typedef highp_ivec2 | ivec2
typedef highp_ivec3 | ivec3
typedef highp_ivec4 | ivec4
typedef tvec2< bool, lowp > | lowp_bvec2
typedef tvec3< bool, lowp > | lowp_bvec3
typedef tvec4< bool, lowp > | lowp_bvec4
typedef tvec2< double, lowp > | lowp_dvec2
typedef tvec3< double, lowp > | lowp_dvec3
typedef tvec4< double, lowp > | lowp_dvec4
typedef tvec2< int, lowp > | lowp_ivec2
typedef tvec3< int, lowp > | lowp_ivec3
typedef tvec4< int, lowp > | lowp_ivec4
typedef tvec2< uint, lowp > | lowp_uvec2
typedef tvec3< uint, lowp > | lowp_uvec3
typedef tvec4< uint, lowp > | lowp_uvec4
typedef tvec2< float, lowp > | lowp_vec2
typedef tvec3< float, lowp > | lowp_vec3
typedef tvec4< float, lowp > | lowp_vec4
typedef tvec2< bool, mediump > | mediump_bvec2
typedef tvec3< bool, mediump > | mediump_bvec3
typedef tvec4< bool, mediump > | mediump_bvec4
typedef tvec2< double, mediump > | mediump_dvec2
typedef tvec3< double, mediump > | mediump_dvec3
typedef tvec4< double, mediump > | mediump_dvec4
typedef tvec2< int, mediump > | mediump_ivec2
typedef tvec3< int, mediump > | mediump_ivec3
typedef tvec4< int, mediump > | mediump_ivec4
typedef tvec2< uint, mediump > | mediump_uvec2
typedef tvec3< uint, mediump > | mediump_uvec3
typedef tvec4< uint, mediump > | mediump_uvec4
typedef tvec2< float, mediump > | mediump_vec2
typedef tvec3< float, mediump > | mediump_vec3
typedef tvec4< float, mediump > | mediump_vec4
typedef highp_uvec2 | uvec2
typedef highp_uvec3 | uvec3
typedef highp_uvec4 | uvec4
typedef highp_vec2 | vec2
typedef highp_vec3 | vec3
typedef highp_vec4 | vec4

## Detailed Description

GLM Core

Definition in file type_vec.hpp.